Bug 1348163 - Review Request: rubygem-network-interface - A cross platform gem to help get network interface information
Summary: Review Request: rubygem-network-interface - A cross platform gem to help get ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1348005 1348206
TreeView+ depends on / blocked
 
Reported: 2016-06-20 10:23 UTC by Germano Massullo
Modified: 2017-12-04 14:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-04 14:19:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2016-06-20 10:23:33 UTC
Description:This gem was originally added to the Metasploit Pcaprub gem. It's been spun out into its own gem for anyone who might want to programmatically get information on their network interfaces.

Spec: https://germano.fedorapeople.org/package_reviews/rubygem-network-interface/rubygem-network-interface.spec

Source RPM: https://germano.fedorapeople.org/package_reviews/rubygem-network-interface/rubygem-network_interface-0.0.1-1.fc23.src.rpm

FAS name: germano

Comment 1 Fabio Alessandro Locati 2016-07-06 07:02:41 UTC
This package does not compile due to:

RPM build errors:
error: File not found: /builddir/build/BUILDROOT/rubygem-network_interface-0.0.1-1.fc24.x86_64/usr/share/gems/gems/network_interface-0.0.1/ext
    File not found: /builddir/build/BUILDROOT/rubygem-network_interface-0.0.1-1.fc24.x86_64/usr/share/gems/gems/network_interface-0.0.1/ext

Comment 3 Fabio Alessandro Locati 2016-08-23 22:18:57 UTC
This package is wrongly name. the file is rubygem-network_interface while the package itself is rubygem-network-interface. This is wrong. The name has to be exactly the same.

Comment 4 Germano Massullo 2017-01-23 10:17:56 UTC
I am packaging rubygem-network-interface because it is needed by rubygem-bettercap. By the way I am stuck on rubygem-celluloid-* as explained in
https://bugzilla.redhat.com/show_bug.cgi?id=1348005#c6
If it will not be possible to proceed with rubygem-celluloid-*, I will be forced to abort the entire process, or finish the review and orphan the package.

If you have any needs to complete the process soon, please let me know

Comment 5 Fabio Alessandro Locati 2017-01-23 11:39:22 UTC
It's probably easier to abort the process and close the bug explaining what happened exactly and why the process got aborted

Comment 6 Germano Massullo 2017-02-20 10:48:22 UTC
rubygem-celluloid will be packaged in an unknown future moment. For details read comment 9 and 12 of https://bugzilla.redhat.com/show_bug.cgi?id=1370096
Since the rubygem-celluloid-* packaging process has been procatinated, not aborted, I will continue working on this package review, completing it as soon as possible.

Comment 7 Germano Massullo 2017-12-04 14:19:46 UTC
Closing because I no longer need this package


Note You need to log in before you can comment on or make changes to this bug.